MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027835Open CASCADE[OCCT] OCCT:Application Frameworkpublic2016-09-03 19:062016-12-09 16:39
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027835: Application Framework, BinXCAF - handle correctly faces with NULL surface within BinTools_ShapeSet
DescriptionBinXCAF and BinOcaf produce broken files that can not be properly read back when document contains TopoDS_Face with NULL surface.

The reason is asymmetric Write/Read code in BinTools_ShapeSet which does not Write information about NULL surface while Reader does not have enough information to skip undefined surface.
Steps To Reproduce
pload XDE OCAF MODELING VISUALIZATION

restore [locate_data_file bug27821_nullsurf.brep] s
explode s F

NewDocument D XmlOcaf
XAddShape D s
XSetColor D s_1 1 0 0
XStat D
XShow D
vfit
vsetdispmode 1
Format D BinXCAF
StoreTriangulation 1
SaveAs D test.xbf
Close D

XOpen test.xbf D
XStat D
XShow D
vfit
TagsNo tags attached.
Test case numberbugs caf bug27835
Attached Files

- Relationships
related to 0027821closedbugmaster Visualization, AIS_Shape - add NULL checks for displaying TopoDS_Face with NULL surface 

-  Notes
(0057443)
git (administrator)
2016-09-03 19:23

Branch CR27835 has been created by kgv.

SHA-1: 1c52ea9d00bf3eae55b6bc040380d002a6940bfb


Detailed log of new commits:

Author: kgv
Date: Sat Sep 3 19:21:58 2016 +0300

    0027835: Application Framework, BinXCAF - handle correctly faces with NULL surface within BinTools_ShapeSet
    
    BinTools_ShapeSet::AddGeometry() now writes NULL surface with 0 index.
    myWithTriangles is ignored for TopoDS_Face with NULL surface so that
    triangulation-only faces are not lost with defaults.
    
    Added Draw Harness command StoreTriangulation defining
    WithTriangulation flag for BinXCAF/BinOcaf storage drivers.
(0057444)
kgv (developer)
2016-09-03 19:23

Patch is ready for review.
(0057460)
mpv (developer)
2016-09-05 15:12

For me it is ok.
(0057505)
apv (tester)
2016-09-06 12:45

Dear BugMaster,

Branch CR27835 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1c52ea9d00bf3eae55b6bc040380d002a6940bfb

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1125

Regressions/Differences:
Not detected

Testing cases:
bugs caf bug27835 - OK
http://occt-tests/CR27835-master-OCCT/Debian70-64/bugs/caf/bug27835.html [^]
http://occt-tests/CR27835-master-OCCT/Windows-64-VC10/bugs/caf/bug27835.html [^]

Testing on Linux:
Total MEMORY difference: 90038016 / 89487619 [+0.62%]
Total CPU difference: 19296.909999999993 / 19241.270000000015 [+0.29%]

Testing on Windows:
Total MEMORY difference: 57137256 / 57155154 [-0.03%]
Total CPU difference: 18057.72415389879 / 18057.115749998855 [+0.00%]
(0059578)
git (administrator)
2016-10-28 21:48

Branch CR27835 has been deleted by kgv.

SHA-1: 1c52ea9d00bf3eae55b6bc040380d002a6940bfb

- Related Changesets
occt: master f1fb0901
Timestamp: 2016-09-03 16:21:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027835: Application Framework, BinXCAF - handle correctly faces with NULL surface within BinTools_ShapeSet

BinTools_ShapeSet::AddGeometry() now writes NULL surface with 0 index.
myWithTriangles is ignored for TopoDS_Face with NULL surface so that
triangulation-only faces are not lost with defaults.

Added Draw Harness command StoreTriangulation defining
WithTriangulation flag for BinXCAF/BinOcaf storage drivers.
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.hxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.hxx Diff ] File ]
mod - src/DDocStd/DDocStd_DocumentCommands.cxx Diff ] File ]
add - tests/bugs/caf/bug27835 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-03 19:06 kgv New Issue
2016-09-03 19:06 kgv Assigned To => mpv
2016-09-03 19:06 kgv Relationship added related to 0027821
2016-09-03 19:23 git Note Added: 0057443
2016-09-03 19:23 kgv Note Added: 0057444
2016-09-03 19:23 kgv Status new => assigned
2016-09-03 19:23 kgv Status assigned => resolved
2016-09-05 15:12 mpv Note Added: 0057460
2016-09-05 15:12 mpv Assigned To mpv => bugmaster
2016-09-05 15:12 mpv Status resolved => reviewed
2016-09-05 16:20 apv Assigned To bugmaster => apv
2016-09-05 16:49 apv Test case number => bugs caf bug27835
2016-09-06 12:45 apv Note Added: 0057505
2016-09-06 12:45 apv Assigned To apv => bugmaster
2016-09-06 12:45 apv Status reviewed => tested
2016-09-09 09:40 bugmaster Changeset attached => occt master f1fb0901
2016-09-09 09:40 bugmaster Status tested => verified
2016-09-09 09:40 bugmaster Resolution open => fixed
2016-10-28 21:48 git Note Added: 0059578
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker